Skip to Content
Short Links & Analytics

List short links

View Markdown (.md)
GET
/api/v1/public/shortlinks

Retrieves short links owned by the caller with pagination.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Query Parameters

page?integer
Default0
pageSize?integer
Default25

Response Body

List of short links with total count

application/json
  1. response
status?string
data?array<>
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/shortlinks'
Example Response
{  "status": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "shortUrl": "string",      "originalUrl": "string",      "title": "string",      "active": true,      "clickCount": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ]}